Subject: Re: Problems with Indirect Interpretation (#!/bin/csh, #!/bin/tcsh, #!/bin/perl, etc...)
From: Rocket Boy <[email-masked]>
To: Vince Hoffman <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 May 2004 10:44:18 -0700 (PDT)

This indeed appears to be the problem. I figured it
something that basic. Though I searched the web for
days I couldn't find the same symptoms discussed
elsewhere.

The FAQ says that it is not recommended to add . to
$PATH. Anyone, know a compelling reason not to?

Thanks,
Will

--- Vince Hoffman <[email-masked]> wrote:
> 
> 
> On Tue, 11 May 2004, Rocket Boy wrote:
> 
> > I have recently installed cygwin on my PC at home
> > (Win-XP) and at work (Win-NT). I can't seem to get
> > indirect interpretation (e.g. #!/bin/csh -f,
> > #!/bin/tcsh -f, etc...) to work in either
> location. I
> > have tried it in different shells: bash, tcsh, and
> sh.
> > And, with different interpreters: #!/bin/bash,
> > #!/bin/csh, #!/bin/tcsh, #!/bin/sh,
> > #!/bin/perl ,etc... I have verified that the files
> are
> > executable (777) and are in the directory that I
> am
> > trying to execute them from. Regardless of the
> > combination I get a message like:
> >  
> > bash: test.pl: command not found
> >  
> unless you have added it yourself . (your current
> directory) is not in
> your path. try executing them as ./test.pl ./test.sh
>  etc
> 
> > or
> >  
> > bash: test.sh: command not found
> >  
> > etc...
> >  
> > It will work when I proceed the filename with the
> > correct interpreter as in:
> >  
> > bash$ csh test.sh
> >  
> > but I'm sure it is just ignoring the 1st line in
> these
> > cases.
> >  
> > This wouldn't be a problem because of this
> workaround
> > except that I have a series of nested csh scripts
> and
> > I can only get the outer one to run in this
> manner.
> >  
> > I will appreciate any advice.
> >  
> > Thanks
> > Will
> >
> >
> >
> >
> >
> >
> > __________________________________
> > Do you Yahoo!?
> > Win a $20,000 Career Makeover at Yahoo! HotJobs
> >
> http://hotjobs.sweepstakes.yahoo.com/careermakeover
> >
> > --
> > Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> > Problem reports:      
> http://cygwin.com/problems.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >

	
		
__________________________________
Do you Yahoo!?
Win a $20,000 Career Makeover at Yahoo! HotJobs  
http://hotjobs.sweepstakes.yahoo.com/careermakeover 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/